TLS API-Referenz
v1.6.2
Reissue TLS certificate
Reissue an already issued or certificate-revoked TLS certificate with a new CSR while keeping the same order. Optionally,
validity_days can request a shorter replacement certificate lifetime, but the CA only supports that for eligible multi-year plan orders and never beyond the remaining order contract.POST
/tls/certificate/{certificate_id}/reissue
TLSCertificatesByID
Authentifizierung
Parameter
Name
Typ
Format
Pflicht
Description
certificate_id
string
-
Pflicht
Public TLS certificate ID
Request Body
Reissue request payload
tlsCertificateReissueRequesttlsCertificateReissueRequest
{
"csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
"dcv_method": "dns-cname-token"
}Felder
Name
Typ
Format
Pflicht
Description
csr
string
-
Pflicht
PEM encoded certificate signing request (CSR).
common_name
string
-
Optional
Fully Qualified Domain Name.
dns_names
array<string>
-
Optional
Optional. If provided, the SAN list must match the current order exactly.
dcv_method
string
-
Pflicht
-
comments
string
-
Optional
Optional provider comment stored with the reissue request.
validity_days
integer
-
Optional
Optional requested certificate lifetime in days for the replacement certificate. The CA only honors this for eligible multi-year plan orders and never beyond the remaining order contract.
Request-Beispiel
POST
curl --request POST \
--url 'https://api.regfish.com/tls/certificate/7K9QW3M2ZT8HJ/reissue' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'content-type: application/json' \
--data '{
"csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
"dcv_method": "dns-cname-token"
}'Responses
200
TLS certificate reissue accepted
Response-Beispiel 200
{
"success": true,
"code": 0,
"response": {
"id": "7K9QW3M2ZT8HJ",
"status": "pending",
"common_name": "example",
"product": "example",
"provider": "digicert",
"dns_names": [
"example"
],
"action_required": false,
"pending_reason": "validation_pending",
"pending_message": "The TLS certificate order is waiting for domain validation.",
"completion_url": "",
"organization_id": null,
"certificate_pem_available": false
}
}400
Invalid request payload or CSR
Response-Beispiel 400
{
"success": false,
"message": "Invalid request payload or CSR",
"error": "Invalid request payload or CSR"
}401
Unauthorized
Response-Beispiel 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}404
TLS certificate not found
Response-Beispiel 404
{
"success": false,
"message": "TLS certificate not found",
"error": "TLS certificate not found"
}409
The TLS certificate cannot be reissued in its current state
Response-Beispiel 409
{
"success": false,
"message": "The TLS certificate cannot be reissued in its current state",
"error": "The TLS certificate cannot be reissued in its current state"
}500
Unexpected error
Response-Beispiel 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}502
Upstream TLS provider error
Response-Beispiel 502
{
"success": false,
"message": "Upstream TLS provider error",
"error": "Upstream TLS provider error"
}Verwandte Modelle
baseResult
baseResult
csr
PEM encoded certificate signing request (CSR).
Error
Error
fqdn
Fully Qualified Domain Name (FQDN, ending with a period).
fqdn_relaxed
Fully Qualified Domain Name.
tlsCertificateDcvMethod
tlsCertificateDcvMethod
tlsCertificateId
Public TLS certificate ID
tlsCertificateOrderCancellationMode
tlsCertificateOrderCancellationMode
tlsCertificateOrganization
tlsCertificateOrganization
tlsCertificateProvider
tlsCertificateProvider
tlsCertificateReissueRequest
tlsCertificateReissueRequest
tlsCertificateReissueResponse
tlsCertificateReissueResponse
tlsCertificateReissueStatus
tlsCertificateReissueStatus
tlsCertificateResponse
tlsCertificateResponse
tlsCertificateRevocationScope
tlsCertificateRevocationScope
tlsCertificateStatus
tlsCertificateStatus
tlsOrganizationId
Public TLS organization ID
tlsOrganizationStatus
tlsOrganizationStatus
tlsValidation
tlsValidation
tlsValidationDnsRecord
tlsValidationDnsRecord
Community
Werden Sie ein Teil der Community
Das DNS API von regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werden Sie Teil der Community und profitieren Sie von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem regfish-Kunden kostenlos zur Verfügung.